> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Driver-Site Partner Relationships

> Retrieve a list of driver-site partner relationships based on specified criteria.



## OpenAPI

````yaml /api/specs/identity-api.json get /identity/v1/driver-sitepartner-pairs
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/driver-sitepartner-pairs:
    get:
      tags:
        - Driver
      summary: List Driver-Site Partner Relationships
      description: >-
        Retrieve a list of driver-site partner relationships based on specified
        criteria.
      parameters:
        - in: query
          name: limit
          description: >-
            The maximum number of driver-site partner to return (default 20,
            maximum 100).
          schema:
            type: string
            pattern: ^[0-9][0-9]?$|^100$
        - in: query
          name: startingAfterDriver
          description: >-
            The ID of the last driver in the previous page of results. Results
            will start after this driver.
          schema:
            type: string
        - in: query
          name: startingAfterSitePartner
          description: >-
            The ID of the last site partner in the previous page of results.
            Results will start after this site partner.
          schema:
            type: string
        - in: query
          name: status
          description: Filter results by status ('ATTACHED' or 'DETACHED').
          schema:
            type: string
            enum:
              - ATTACHED
              - DETACHED
        - in: query
          name: sitePartnerId
          description: Filter results by Site Partner ID.
          schema:
            type: string
        - in: query
          name: driverId
          description: Filter results by Driver ID.
          schema:
            type: string
      responses:
        '200':
          description: A list of driver-sitepartner relationships
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/DriverSitePartnerJunction'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    DriverSitePartnerJunction:
      type: object
      properties:
        driverId:
          type: string
        sitePartnerId:
          type: string
        networkId:
          type: string
        status:
          type: string
          enum:
            - ATTACHED
            - DETACHED
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - driverId
        - sitePartnerId
        - networkId
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````